Bug 674468 - yum-changelog should depend on python-dateutil
yum-changelog should depend on python-dateutil
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-01 21:40 EST by Travers Carter
Modified: 2014-01-21 01:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-04 10:18:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Travers Carter 2011-02-01 21:40:21 EST
Description of problem:
After a successful "yum install yum-changelog" the yum changelog command fails with the error "Dateutil module not available, so can't parse dates".  Manually running "yum install python-dateutil" resolves the problem

Version-Release number of selected component (if applicable):
yum-changelog 1.1.16-13.el5_4.1

How reproducible:
Always

Steps to Reproduce:
1. Ensure python-dateutil isn't installed
2. yum install yum-changelog
3. yum changelog <package-name>
  
Actual results:
"Dateutil module not available, so can't parse dates"

Expected results:
Changelog for the selected package should be display

Additional info:
Appears to have been reported some time ago against CentOS v5
http://bugs.centos.org/view.php?id=3713
Comment 1 James Antill 2011-02-04 10:18:42 EST
 python-dateutil isn't in RHEL-5, so yum can't depend on it. There is some functionality that works without it, and it tells you to install it for the functionality it needs.

 The command is used by one of:

yum changelog <number of changelog entries>    <packages>...
yum changelog <date of oldest changelog entry> <packages>...

...Eg.

yum changelog 2 zsh

Note You need to log in before you can comment on or make changes to this bug.